Subject: Re: [GIT PULL] sh updates for 2.6.25

From: Jakub Narebski <[email-masked]>
Date: Tue, 15 Apr 2008 11:43:24 -0700 (PDT)

Linus Torvalds <[email-masked]> writes:

> Paul, your git tree is odd. Not quite corrupt, but it doesn't really 
> follow the rules either.
> 
> In particular, it has empty lines at the top of those commits, and I 
> wonder how you created them. 

> The reason I noticed is that it screws up the git merge summary, which 
> will take the first line of each commit it merges (_without_ the "skip 
> empty lines" logic) to generate the summary of the merge.
> 
> I think we should fix that git merge summary code to allow for this bad 
> behaviour, but I also want to know why such corrupt commits exist in the 
> first place. What toolchain do you use to create that commit? We should 
> fix that too!

I seem to remember (but I might be mistaken) that this issue was
corrected by some patch on git mailing list already...

-- 
Jakub Narebski
Poland
ShadeHawk on #git